inode.h File Reference
`#include "message.h"`
Include dependency graph for inode.h:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Classes

class | INode
| Abstract interface representing a subscriber node in the event bus system. More...

## Namespaces

namespace | sdi_toolBox
| Root namespace for the sdi_toolBox library.
namespace | sdi_toolBox::desktop
| Desktop-specific components of the sdi_toolBox library.
namespace | sdi_toolBox::desktop::eventBus
| Lightweight thread-safe event bus for decoupled message passing.